com.microfocus.awm.meta.interfaces

## Enum EParmFromTypes

- java.lang.Object
- - java.lang.Enum<EParmFromTypes>
  - - com.microfocus.awm.meta.interfaces.EParmFromTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EParmFromTypes>, org.eclipse.emf.common.util.Enumerator

      public enum EParmFromTypes
      extends java.lang.Enum<EParmFromTypes>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the origin of a tool parameter: Context, User_Input, Previous_Tool
  See Also:
    `TaurusPackage.getEParmFromTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTEXT` The 'Context' literal object.
    `PREVIOUS_TOOL` The 'Previous Tool' literal object.
    `USER_INPUT` The 'User Input' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTEXT_VALUE` The 'Context' literal value.
    `static int` | `PREVIOUS_TOOL_VALUE` The 'Previous Tool' literal value.
    `static int` | `USER_INPUT_VALUE` The 'User Input' literal value.
    `static java.util.List<EParmFromTypes>` | `VALUES` A public read-only list of all the 'EParm From Types' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EParmFromTypes` | `get(int value)` Returns the 'EParm From Types' literal with the specified integer value.
    `static EParmFromTypes` | `get(java.lang.String literal)` Returns the 'EParm From Types' literal with the specified literal value.
    `static EParmFromTypes` | `getByName(java.lang.String name)` Returns the 'EParm From Types' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EParmFromTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EParmFromTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTEXT

          public static final EParmFromTypes CONTEXT

      The 'Context' literal object.
      See Also:
        `CONTEXT_VALUE`

    - #### PREVIOUS_TOOL

          public static final EParmFromTypes PREVIOUS_TOOL

      The 'Previous Tool' literal object.
      See Also:
        `PREVIOUS_TOOL_VALUE`

    - #### USER_INPUT

          public static final EParmFromTypes USER_INPUT

      The 'User Input' literal object.
      See Also:
        `USER_INPUT_VALUE`

  - ### Field Detail

    - #### CONTEXT_VALUE

          public static final int CONTEXT_VALUE

      The 'Context' literal value.
      See Also:
        `CONTEXT`, Constant Field Values

    - #### PREVIOUS_TOOL_VALUE

          public static final int PREVIOUS_TOOL_VALUE

      The 'Previous Tool' literal value.
      See Also:
        `PREVIOUS_TOOL`, Constant Field Values

    - #### USER_INPUT_VALUE

          public static final int USER_INPUT_VALUE

      The 'User Input' literal value.
      See Also:
        `USER_INPUT`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EParmFromTypes> VALUES

      A public read-only list of all the 'EParm From Types' enumerators.

  - ### Method Detail

    - #### values

          public static EParmFromTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EParmFromTypes c : EParmFromTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EParmFromTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EParmFromTypes get(java.lang.String literal)

      Returns the 'EParm From Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EParmFromTypes getByName(java.lang.String name)

      Returns the 'EParm From Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EParmFromTypes get(int value)

      Returns the 'EParm From Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EParmFromTypes>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.